<template>
    <div>
        <span
            class="timer-title"
            :style="{color: popup.colors.settings_title, fontSize: popup.title_size+'px'}"
        >{{ popup.title }}</span>
        <div
            :style="{color: popup.colors.timer_text}"
            class="timer-style-1"
        >
            <div
                class="timer-text"
                :style="{color: popup.colors.timer_pre_text_color, fontSize: popup.timer_text_size+'px'}"
            >
                {{ popup.timer_pre_text }}
            </div>
            <div>
                <span
                    :style="{backgroundColor: popup.colors.timer_background}"
                    class="timer-number-style-1"
                >{{ hourOne }}</span>
                <span
                    :style="{backgroundColor: popup.colors.timer_background}"
                    class="timer-number-style-1"
                >{{ hourTwo }}</span><span
                    :style="{color: popup.colors.timer_background}"
                    class="space-margin"
                >:</span>
                <span
                    :style="{backgroundColor: popup.colors.timer_background}"
                    class="timer-number-style-1"
                >{{ minuteOne }}</span>
                <span
                    :style="{backgroundColor: popup.colors.timer_background}"
                    class="timer-number-style-1"
                >{{ minuteTwo }}</span><span
                    :style="{color: popup.colors.timer_background}"
                    class="space-margin"
                >:</span>
                <span
                    :style="{backgroundColor: popup.colors.timer_background}"
                    class="timer-number-style-1"
                >{{ secondOne }}</span>
                <span
                    :style="{backgroundColor: popup.colors.timer_background}"
                    class="timer-number-style-1"
                >{{ secondTwo }}</span>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "StyleFirstTimer",
    props: ['popup'],
    data() {
        return {
            hourOne: 0,
            hourTwo: 0,
            minuteOne: 0,
            minuteTwo: 0,
            secondOne: 0,
            secondTwo: 0,
        }
    },
    watch: {
        popup: {
            deep: true,
            handler() {
                this.setTimer();
            }
        },
    },
    mounted() {
        this.setTimer()
    },
    methods: {
        setTimer() {
            this.hourTwo = this.popup.hours % 10;
            this.hourOne = Math.trunc(this.popup.hours / 10);
            this.minuteTwo = this.popup.minutes % 10;
            this.minuteOne = Math.trunc(this.popup.minutes / 10);
            this.secondTwo = this.popup.seconds % 10;
            this.secondOne = Math.trunc(this.popup.seconds / 10);
        }
    }
}
</script>

<style scoped>

.space-margin {
    font-weight: bold;
    margin: 0 8px;
    font-size: 21px;
}

</style>
